Loading...
Searching...
No Matches
mongocxx::v_noabi::events::topology_opening_event Class Reference

`#include <mongocxx/v_noabi/mongocxx/events/topology_opening_event.hpp>`

## Description

A new connection to a topology of MongoDB servers.

See also
  - SDAM Logging and Monitoring Specification (MongoDB Specifications)

## Public Member Functions

| topology_opening_event (v1::events::topology_opening const &event)
| Construct with the mongocxx::v1 equivalent.
| topology_opening_event (void const *event)
| operator v1::events::topology_opening () const
| Convert to the mongocxx::v1 equivalent.
bsoncxx::v_noabi::oid | topology_id () const
| An opaque id, unique to this topology for this mongocxx::v_noabi::client or mongocxx::v_noabi::pool.

## Constructor & Destructor Documentation

## topology_opening_event() [1/2]

mongocxx::v_noabi::events::topology_opening_event::topology_opening_event | ( | void const * | event | ) |

explicit

Deprecated
  For internal use only.

## topology_opening_event() [2/2]

mongocxx::v_noabi::events::topology_opening_event::topology_opening_event | ( | v1::events::topology_opening const & | event | ) |

inline

Construct with the mongocxx::v1 equivalent.

## Member Function Documentation

## operator v1::events::topology_opening()

mongocxx::v_noabi::events::topology_opening_event::operator v1::events::topology_opening | ( |  | ) | const

inline explicit

Convert to the mongocxx::v1 equivalent.

## topology_id()

bsoncxx::v_noabi::oid mongocxx::v_noabi::events::topology_opening_event::topology_id | ( |  | ) | const

inline

An opaque id, unique to this topology for this mongocxx::v_noabi::client or mongocxx::v_noabi::pool.

Returns
  The id.

The documentation for this class was generated from the following file:

- mongocxx/v_noabi/mongocxx/events/topology_opening_event.hpp